<?php
namespace Modules\Ajax\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Outil
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function cookieMenu(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupInformationValid(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function convertLibelle(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function convertLibelleCodeGestion(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function downloadFichier(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function downloadCSV(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function downloadPdf(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function creatFicBatch(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function appelAsync(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function initialisationCS(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function contentText(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function captcha(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function cgActifForSi(): bool
    {
        return true;
    }
}
